Send one or more signals for indexing
import requests
url = "https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals"
payload = [
{
"id": "<string>",
"epoch": 123,
"timestamp": "<string>",
"type": "<string>",
"params": {}
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"<string>\",\n \"epoch\": 123,\n \"timestamp\": \"<string>\",\n \"type\": \"<string>\",\n \"params\": {}\n }\n]")
.asString();const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '<string>',
epoch: 123,
timestamp: '<string>',
type: '<string>',
params: {}
}
])
};
fetch('https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"<string>\",\n \"epoch\": 123,\n \"timestamp\": \"<string>\",\n \"type\": \"<string>\",\n \"params\": {}\n }\n]"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals"
payload := strings.NewReader("[\n {\n \"id\": \"<string>\",\n \"epoch\": 123,\n \"timestamp\": \"<string>\",\n \"type\": \"<string>\",\n \"params\": {}\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8764",
CURLOPT_URL => "https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '<string>',
'epoch' => 123,
'timestamp' => '<string>',
'type' => '<string>',
'params' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "<string>",
"epoch": 123,
"timestamp": "<string>",
"type": "<string>",
"params": {}
}
]
'Send one or more signals for indexing
POST
/
query
/
{id}
/
signals
Send one or more signals for indexing
import requests
url = "https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals"
payload = [
{
"id": "<string>",
"epoch": 123,
"timestamp": "<string>",
"type": "<string>",
"params": {}
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"<string>\",\n \"epoch\": 123,\n \"timestamp\": \"<string>\",\n \"type\": \"<string>\",\n \"params\": {}\n }\n]")
.asString();const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '<string>',
epoch: 123,
timestamp: '<string>',
type: '<string>',
params: {}
}
])
};
fetch('https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"<string>\",\n \"epoch\": 123,\n \"timestamp\": \"<string>\",\n \"type\": \"<string>\",\n \"params\": {}\n }\n]"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals"
payload := strings.NewReader("[\n {\n \"id\": \"<string>\",\n \"epoch\": 123,\n \"timestamp\": \"<string>\",\n \"type\": \"<string>\",\n \"params\": {}\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8764",
CURLOPT_URL => "https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '<string>',
'epoch' => 123,
'timestamp' => '<string>',
'type' => '<string>',
'params' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION_HOST}:8764/api/apollo/query/{id}/signals \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "<string>",
"epoch": 123,
"timestamp": "<string>",
"type": "<string>",
"params": {}
}
]
'Query Parameters
An optional parameter to define a specific index pipeline to be used while indexing these signals. If none is defined, the pre-configured _signals_ingest pipeline will be used. Note that the index pipeline must end with a Solr Indexer stage, and in this stage the enforce_schema property must be set to 'true'.
Body
application/json
JSON-formatted signals data
Response
default
successful operation
Was this page helpful?